View Issue Details

IDProjectCategoryView StatusLast Update
0002523Far ManagerCommand Line/Executepublic2014-05-05 20:03
ReportershmuelAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0002523: Команда title не отрабатывает при погашенных панелях
Descriptiontitle не отрабатывает при погашенных панелях, пока не вызовешь перерисовку вводом с комстроки либо иным методом. Фар 3.0.3707.
Steps To Reproduce1. CtrlO (гасим панели)
2. |title rara[Enter]| --> нет изменений в заголовке
3. |aaa[Esc]| --> в заголовке видим |rara|
4. |title[Enter]| --> нет изменений в заголовке
5. |aaa[Esc]|
--> в заголовке видим |rara - Far 3.0.3707 Administrator| --> на семёрке
--> в заголовке видим |C:\Path1\Path2 - Far 3.0.3707 Administrator| --> на XP,
причём заметно мелькание при перерисовке заголовка.
TagsNo tags attached.
Build3890

Relationships

related to 0002473 closedDrKnS Wishes Изменить заголовок окна Фар 

Activities

vskirdin

2014-05-05 12:43

administrator   bugnote:0012337

build 3888

shmuel

2014-05-05 13:08

developer   bugnote:0012339

Last edited: 2014-05-05 13:09

View 2 revisions

Windows XP, x86.
1. Выключаем панели.
2. title[Enter] --> в заголовке видим " - Far 3.0.3888 x86 Administrator", то-есть отсутствует показ папки панели.

vskirdin

2014-05-05 16:42

administrator   bugnote:0012344

что выводить? заголовок активной невидимой панели?

vskirdin

2014-05-05 17:04

administrator   bugnote:0012345

build 3889

shmuel

2014-05-05 19:09

developer   bugnote:0012346

Вроде стало хорошо, но есть совсем мелкий дефект, причём не зависящий от того, включены панели или нет, а именно: при установке заголовка командой title xxx устанавливается на самом деле " xxx", то есть вначале ещё вставляется пробел. Вот ещё это исправить бы, и будет полное счастье..

shmuel

2014-05-05 19:20

developer   bugnote:0012347

Не будем усложнять.

Issue History

Date Modified Username Field Change
2013-11-05 16:09 shmuel New Issue
2013-11-26 10:37 shmuel Relationship added related to 0002473
2014-05-05 12:43 vskirdin Note Added: 0012337
2014-05-05 12:43 vskirdin Assigned To => vskirdin
2014-05-05 12:43 vskirdin Status new => feedback
2014-05-05 13:08 shmuel Note Added: 0012339
2014-05-05 13:08 shmuel Status feedback => assigned
2014-05-05 13:09 shmuel Note Edited: 0012339 View Revisions
2014-05-05 16:42 vskirdin Note Added: 0012344
2014-05-05 17:04 vskirdin Note Added: 0012345
2014-05-05 17:04 vskirdin Status assigned => feedback
2014-05-05 19:09 shmuel Note Added: 0012346
2014-05-05 19:09 shmuel Status feedback => assigned
2014-05-05 19:20 shmuel Note Added: 0012347
2014-05-05 19:20 shmuel Status assigned => resolved
2014-05-05 20:03 vskirdin Build => 3890
2014-05-05 20:03 vskirdin Status resolved => closed
2014-05-05 20:03 vskirdin Resolution open => fixed
2014-05-05 20:03 vskirdin Fixed in Version => 3.0